Bug 32526 - Обновление outwiker
: Обновление outwiker
Status: CLOSED FIXED
: Branch p7
(All bugs in Branch p7/outwiker)
: не указана
: x86 Linux
: P3 normal
Assigned To:
:
: http://jenyay.net/Soft/Outwiker
:
:
:
  Show dependency tree
 
Reported: 2016-09-25 21:19 by
Modified: 2016-12-04 11:11 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2016-09-25 21:19:14
Здравствуйте.

Прошу обновить редактор заметок с древовидной структурой outwiker.
Текущая версия в репозиториях p7 и Sisyphus - 1.6.0.650 (2012 год).
Текущая стабильная версия программы на сайте http://jenyay.net/Soft/Outwiker -
1.9.0.790 (2016 год).

Причины, по которым я прошу обновить outwiker:
- программа кроссплатформенная (это важно, потому что приходится работать и в
Windows);
- автор активно совершенствует программу (добавляет полезные функции и повышает
стабильность);
- это одна из немногих программ, которая хранит дерево заметок в виде обычных
директорий на диске, а не в одном файле (данные можно просматривать без самой
программы).

Спасибо.
------- Comment #1 From 2016-09-27 02:45:43 -------
Собрал версию 2.0.0.800
она использует wxGTK3.0
Пока не удалось увидеть её работающей.

Чуть позже попробую 1.9.0.790
------- Comment #2 From 2016-10-04 12:29:45 -------
Здравствуйте, Виталий.

Вы не забыли про outwiker (1.9.0.790)?
------- Comment #3 From 2016-10-08 13:20:54 -------
outwiker-1.9.0.790-alt1 -> sisyphus:

* Tue Sep 27 2016 Vitaly Lipatov <lav@altlinux> 1.9.0.790-alt1
- new version 1.9.0.790 (with rpmrb script) (ALT bug #32526)

* Tue Sep 27 2016 Vitaly Lipatov <lav@altlinux> 2.0.0.800-alt1
- new version 2.0.0.800 (with rpmrb script) (ALT bug #32526)
------- Comment #4 From 2016-10-10 23:16:07 -------
Здравствуйте, Виталий.

В Сизифе появился outwiker-1.9.0.790-alt1. Спасибо за проделанную работу.

Но, к сожалению, моей квалификации в linux недостаточно, чтобы работать на
нестабильном Сизифе. Сейчас я работаю на p7 x86 kde. Планирую переходить на p8
x86_64 kde.

Скажите пожалуйста, как скоро можно ожидать появления outwiker-1.9.0.790 в
p7/p8?
------- Comment #5 From 2016-10-12 13:53:58 -------
(В ответ на комментарий №4)
...
> Скажите пожалуйста, как скоро можно ожидать появления outwiker-1.9.0.790 в
> p7/p8?
По моим представлениям, у вас в любую систему (уж в p8 точно) поставится пакет
напрямую:
http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus/files/noarch/RPMS/outwiker-1.9.0.790-alt1.noarch.rpm
------- Comment #6 From 2016-10-13 21:15:06 -------
Здравствуйте, Виталий.

Установил пакет по вашей ссылке на p7 x86 kde. В результате outwiker вообще
перестал запускаться (до этого была установлена версия 1.6.0.650).

Все-таки это не совсем правильно - "...нельзя просто взять пакет из Sisyphus и
установить его в дистрибутив на базе стабильного бранча: требуется пересборка
пакета в соответствующем окружении. Исключение составляет небольшой промежуток
времени после отделения последнего бранча - какое-то время бинарная
совместимость сохраняется." (Взято из
https://www.altlinux.org/Где_и_как_искать_программы).

Вы считаете, что на p8 это должно сработать. Сейчас у меня нет возможности это
проверить, т.к. p8 kde пока в стадии beta. Но, может, вы все-таки соберете
outwiker для p8, чтоб он устанавливался штатными методами? Ведь программа
действительно неплохая; может, она не мне одному пригодится.
------- Comment #7 From 2016-10-14 17:35:35 -------
(В ответ на комментарий №6)
> Здравствуйте, Виталий.
> 
> Установил пакет по вашей ссылке на p7 x86 kde. В результате outwiker вообще
> перестал запускаться (до этого была установлена версия 1.6.0.650).
И что он говорит?

...
> проверить, т.к. p8 kde пока в стадии beta. Но, может, вы все-таки соберете
> outwiker для p8, чтоб он устанавливался штатными методами? Ведь программа
> действительно неплохая; может, она не мне одному пригодится.
Соберу, но сначала вы должны подтвердить, что собранный мной пакет хорошо
работает в p8.
------- Comment #8 From 2016-10-14 23:10:52 -------
Здравствуйте, Виталий.

Вывод консоли при попытке запустить outwiker-1.9.0.790-alt1 на p7 kde x86:

[~]$ outwiker
Traceback (most recent call last):
  File "runoutwiker.py", line 12, in <module>
    wxversion.select(WX_VERSION)
  File "/usr/lib/python2.7/site-packages/wxversion.py", line 152, in select
    raise VersionError("Requested version of wxPython not found")
wxversion.VersionError: Requested version of wxPython not found
------- Comment #9 From 2016-12-04 11:11:44 -------
Здравствуйте, Виталий.

Вы спрашивали, хорошо ли работает на восьмой платформе собранный вами пакет
outwiker-1.9.0.790-alt1.noarch.rpm.

Так вот - собранный вами пакет на в дистрибутиве alt-kworkstation-8-x86_64
работает хорошо. Спасибо за проделанную работу.

P.S. Автор OutWiker'а в своем блоге сообщает, что в январе-феврале 2017 года
выпустит версию 2.0
(http://jenyay.net/blog/2016/11/14/outwiker-2-0-0-806-unstable-i-markdown-1-1/).
Поэтому, думаю, уже нет смысла собирать версию 1.9 для p8 (кому надо - поставят
из Сизифа). А версию 2.0 (когда она выйдет) я снова попрошу вас собрать для p8.
Если вы не возражаете. Спасибо.